summaryrefslogtreecommitdiff
path: root/dev-python/flask-principal
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/flask-principal')
-rw-r--r--dev-python/flask-principal/Manifest1
-rw-r--r--dev-python/flask-principal/flask-principal-0.4.0-r1.ebuild28
-rw-r--r--dev-python/flask-principal/metadata.xml13
3 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/flask-principal/Manifest b/dev-python/flask-principal/Manifest
new file mode 100644
index 000000000000..00fdfbe4e2de
--- /dev/null
+++ b/dev-python/flask-principal/Manifest
@@ -0,0 +1 @@
+DIST flask-principal-0.4.0.tar.gz 17287 BLAKE2B f5c44e21b4e8242122fc10c7c17bd0e6a4759eda555d4355bc340228eff18f1fc3f519f2ef822448b651c0aa3a00a16c562001d17d8915ce417eb56cd39d2adc SHA512 ed8cb28c4e8d936de96db0bf9f7cb45b253dc204c4b8f8dd8022ef1552592ff6324b4a33d3ee862794a6e20eb8c32a0365e7b9397d427da5022c5ded3dfa308a
diff --git a/dev-python/flask-principal/flask-principal-0.4.0-r1.ebuild b/dev-python/flask-principal/flask-principal-0.4.0-r1.ebuild
new file mode 100644
index 000000000000..ac5c8e80ea8f
--- /dev/null
+++ b/dev-python/flask-principal/flask-principal-0.4.0-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+inherit distutils-r1
+
+DESCRIPTION="Identity management for flask"
+HOMEPAGE="https://pythonhosted.org/Flask-Principal/ https://pypi.org/project/Flask-Principal/"
+SRC_URI="https://github.com/mattupstate/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+# pypi tarball is missing tests
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/blinker[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+
+python_test() {
+ nosetests -v || die "Testing failed with ${EPYTHON}"
+}
diff --git a/dev-python/flask-principal/metadata.xml b/dev-python/flask-principal/metadata.xml
new file mode 100644
index 000000000000..e2564b3b5802
--- /dev/null
+++ b/dev-python/flask-principal/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">Flask-Principal</remote-id>
+ <remote-id type="github">mattupstate/flask-principal</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>